Name: ppp
%define snapshot 20031003
Version: 2.4.2
Release: alt6

%def_with radius

Summary: The PPP daemon and documentation
License: distributable
Group: System/Servers
Url: http://www.samba.org/ppp

%define srcname %name-%version
Source0: %srcname.tar.bz2
Source1: %name-2.4.1-sample.tar
Source2: %name.pamd

Patch1: ppp-2.4.2-alt-makefile.patch
Patch2: ppp-2.4.2-alt-pppd-lock.patch
Patch3: ppp-2.4.2-alt-pppd-noresolv.patch
Patch4: ppp-2.3.11-alt-scripts-fixes.patch
Patch5: ppp-2.4.1-alt-scripts-callback.patch
Patch6: ppp-2.4.2-alt-opts.patch
Patch7: ppp-2.4.2-asp-cbcp-mps.patch
#Patch8: ppp-2.4.2-asp-radius-chap.patch
Patch9: ppp-20031003-alt-cleardefaultroute.patch
Patch10: ppp-2.4.2-alt-optsigsegv.patch
Patch11: ppp-2.4.2-alt-killmypg.patch
Patch12: ppp-2.4.2-alt-holdoffhack.patch
Patch13: ppp-2.4.2-lib64.patch
Patch14: ppp-2.4.2-fix64.patch
Patch15: ppp-2.4.2-stdopt-mppe-mppc-1.1.patch.bz2

PreReq: /var/lock/serial
Obsoletes: ppp-cbcp, ppp-mppe

%if_with radius
BuildPreReq: autoconf_2.13, automake_1.4, libtool_1.4
%endif

# Automatically added by buildreq on Fri May 28 2004 (-bi)
BuildRequires: glibc-devel-static libpam-devel libpcap-devel perl-IPC-Signal perl-Proc-Daemon perl-Proc-WaitStat

%package extra
Summary: Extra documentation and examples for pppd
Group: System/Servers
Requires: %name = %version-%release

%package devel
Summary: Header files needed for building extra pppd plugins
Group: Development/C
Requires: %name = %version-%release

%package radius
Summary: RADIUS authentication plugin for pppd
Group: System/Servers
Requires: %name = %version-%release
Requires: libradiusclient = %version-%release

%package -n libradiusclient
Summary: Shared Radiusclient library
Group: System/Libraries

%package -n libradiusclient-devel
Summary: Development library and header files for building radiusclient-aware software
Group: Development/C

%package -n libradiusclient-devel-static
Summary: Static library for building static radiusclient-aware software
Group: Development/C

%description
The %name package contains the PPP (Point-to-Point Protocol) daemon
and documentation for PPP support.  The PPP protocol provides a
method for transmitting datagrams over serial point-to-point links.

The %name package should be installed if your machine need to support
the PPP protocol.

%description extra
The %name package contains extra documentation and untested examples which
comes along with PPP distribution.

%description devel
Header files needed for building extra pppd plugins.

%description radius
The Remote Authentication Dial In User Service (RADIUS) plugin for pppd
permits pppd to perform PAP, CHAP, MS-CHAP and MS-CHAPv2 authentication
against a RADIUS server instead of the usual /etc/ppp/pap-secrets and
/etc/ppp/chap-secrets files.

%description -n libradiusclient
This package contains shared library required for running
radiusclient-based software.

%description -n libradiusclient-devel
This package contains development library and header files required for
building radiusclient-aware software.

%description -n libradiusclient-devel-static
This package contains static library required for building statically
linked radiusclient-aware software.

%prep
%setup -q -n %srcname -a1 -a2
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
#%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
#%patch15 -p1

find -type f -name \*.orig -print -delete

%build
./configure
%__subst -p 's/^#CBCP=y/CBCP=y/' pppd/Makefile.linux
%make_build libdir=%_libdir

%if_with radius
pushd pppd/plugins/radius/radiusclient
%set_autoconf_version 2.13
%set_automake_version 1.4
%set_libtool_version 1.4
libtoolize --copy --force
aclocal
# Dirty HACK for new gettext
%__subst 's,AC_PREREQ(2.50),AC_PREREQ(2.13),g' aclocal.m4
autoheader
automake
autoconf
%configure
popd
%endif #radius

%if_with radius
%make_build -C pppd/plugins/radius
%endif #radius

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT libdir=%_libdir

%if_with radius
pushd pppd/plugins/radius/radiusclient
%make_install install DESTDIR=$RPM_BUILD_ROOT
popd

pushd pppd/plugins/radius
VERSION="$(awk -F '"' '/VERSION/ { print $2; }' ../../patchlevel.h)"
%__mkdir_p "$RPM_BUILD_ROOT%_libdir/pppd/$VERSION"
%__install -p -m644 radius.so radattr.so radrealms.so \
	"$RPM_BUILD_ROOT%_libdir/pppd/$VERSION"/
%__install -p -m644 pppd-radius.8 pppd-radattr.8 \
	$RPM_BUILD_ROOT%_man8dir/
popd
%endif #radius

%__mkdir_p $RPM_BUILD_ROOT%_datadir/%name
cp -a scripts sample $RPM_BUILD_ROOT%_datadir/%name/
for f in `find $RPM_BUILD_ROOT%_datadir/%name -type f`; do
	chmod 644 "$f"
	if fgrep -qs /usr/local/bin/ "$f"; then
		%__subst -p 's|/usr/local/bin|%_bindir|g' "$f"
	fi
	if file -b "$f" |fgrep -qs 'shell script'; then
		chmod a+x "$f"
	fi
done

%__install -pD -m640 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/pam.d/%name

%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/%name/peers
%__install -p -m600 sample/callback-* $RPM_BUILD_ROOT%_sysconfdir/%name/

%__mkdir_p $RPM_BUILD_ROOT%_includedir/pppd
%__install -p -m644 pppd/*.h $RPM_BUILD_ROOT%_includedir/pppd/

%files
%attr(755,root,root) %_sbindir/*
%attr(755,root,root) %dir %_sysconfdir/%name
%attr(711,root,root) %dir %_sysconfdir/%name/peers
%attr(600,root,root) %config(noreplace) %_sysconfdir/%name/*-secrets
%attr(750,root,root) %config(noreplace) %_sysconfdir/%name/callback-*
%attr(644,root,root) %config(noreplace) %_sysconfdir/%name/options
%config(noreplace) %_sysconfdir/pam.d/%name
%_libdir/pppd
%_man8dir/*
%if_with radius
%exclude %_sbindir/*rad*
%exclude %_libdir/pppd/*/rad*.so
%exclude %_man8dir/pppd-rad*.*
%endif #radius
%doc README README.linux README.MPPE README.MSCHAP* README.pppoe README.eap-srp README.pwfd README.cbcp
%doc PLUGINS SETUP FAQ

%files extra
%_datadir/%name

%files devel
%_includedir/pppd

%if_with radius
%files radius
%_libdir/pppd/*/rad*.so
%_man8dir/pppd-rad*.*

%files -n libradiusclient
%_libdir/*.so.*
%_sbindir/*rad*
%dir %_sysconfdir/radiusclient
%_sysconfdir/radiusclient/dictionary*
%config(noreplace) %_sysconfdir/radiusclient/[iprs]*

%files -n libradiusclient-devel
%_libdir/*.so
%_includedir/radiusclient.h

%files -n libradiusclient-devel-static
%_libdir/*.a
%endif #radius

%changelog
* Wed Mar 23 2005 Kachalov Anton <mouse@altlinux.ru> 2.4.2-alt6
- enable Radius plugin

* Fri Mar 18 2005 Kachalov Anton <mouse@altlinux.ru> 2.4.2-alt5
- disable MPPE/MPPC patch
- disable Radius plugin

* Sun Feb 13 2005 Kachalov Anton <mouse@altlinux.ru> 2.4.2-alt4
- added MPPE/MPPC support: by default, it's disabled

* Thu Feb 10 2005 Kachalov Anton <mouse@altlinux.ru> 2.4.2-alt3
- x86_64 support (#6088)

* Tue Jun 08 2004 Alexey Voinov <voins@altlinux.ru> 2.4.2-alt2
- killmypg added. [fixes some race conditions in signal handlers]
- holdoffhack added [fix for #1589]

* Fri May 28 2004 Alexey Voinov <voins@altlinux.ru> 2.4.2-alt1
- new version (2.4.2)
- patches updated [note: README.cbcp from asp path has been dropped :(]
- asp-radius-chap patch has been merged into upstream
- optsigsegv patch added [fix for #1158]
- buildreqs updated

* Wed Dec 03 2003 Dmitry V. Levin <ldv@altlinux.org> 2.4.1.20031003-alt2
- Implemented cleardefaultroute option (#3319).
- Do not package .la files.

* Wed Nov 12 2003 Dmitry V. Levin <ldv@altlinux.org> 2.4.1.20031003-alt1
- Updated to cvs snapshot 20031003.
- Build the radius plugin with libradiusclient dynamically,
  to avoid text relocations.
- Fixed the radius plugin to use new chap auth (ASP Linux).

* Wed Oct 08 2003 Dmitry V. Levin <ldv@altlinux.org> 2.4.1.20030923-alt1
- Updated to cvs snapshot 20030923.
- ppp-extra: fixed package dependencies.

* Tue Oct 07 2003 Victor V Ismakaev <ivv@altlinux.ru> 2.4.1.20030513-alt3
- Build with radius support.
- Added experimental CBCP support (ASP Linux) and enabled it by default.

* Thu Jul 17 2003 Alexey Voinov <voins@altlinux.ru> 2.4.1.20030513-alt2
- fixed permissions for /etc/ppp/peers to 711
- added opts patch (noauth and noipdefault into /etc/ppp/options)

* Sat May 24 2003 Dmitry V. Levin <ldv@altlinux.org> 2.4.1.20030513-alt1
- Updated to 2.4.2b3+ (snapshot 20030513).
- Rediffed patches, only five of them left.
- Packaged plugins.
- PAM configuration policy enforcement.
- Dropped pppgetpass.
- Packaged ppp-radius and radiusclient libraries (not enabled by default).

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt8
- Rebuilt in new environment
- Changed pppd URL
- Changed version string
- Added devel package - it contains headers from pppd

* Tue May 22 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt7
- Removed requires to glibc & pam & kernel - now it's bad requires...

* Mon Jan 21 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt6
- Fixed permissions on %_sysconfdir/%name/callback-* - now it's 750.
- Fixed patch5 - atdt->atdp

* Wed Jan 16 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt5
- Removed MPPE & CBCP builddefs - now these features compiled in standart
  CBCP package
- Added some patches from ASP Linux

* Tue Oct 16 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt4
- Changes to new /var/lock/serial scheme

* Fri Aug 03 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt3.2
- Added MPPE support

* Thu Aug 02 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt3.1
- Some fixes to CBCP patch
- Added DEBUG_CBCP define
- Fixed spec file

* Wed Jul 04 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt3
- Fixed CBCP debug messages
- Added option to BUILD_CBCP
- Placed CBCP configs in right place
- Updated CBCP from Bolke de Bruin release
- Added noresolv patch
- Some spec cleanup
- Added pppgetpass program from contrib

* Thu Jun 14 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt2
- Fixed CBCP_SUPPORT in Makefile

* Mon May 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.4.1-alt1
- Updated 2 new version
- Fixed cbcp compiling

* Fri Oct 13 2000 Dmitry V. Levin <ldv@fandra.org> 2.4.0-ipl2mdk
- Updated pam configuration.

* Wed Aug  8 2000 Dmitry V. Levin <ldv@fandra.org> 2.4.0-ipl1mdk
- Updated to 2.4.0.

* Thu Jul 13 2000 Dmitry V. Levin <ldv@fandra.org> 2.4.0b2-ipl1mdk
- Updated to 2.4.0b2.
- Patched samples to avoid unnecessary dependencies.
- Added zlib patch from James Carlson <james.d.carlson@east.sun.com>
  (see ftp://playground.sun.com/pub/carlsonj/zlib-bug.notes for details).
- Moved scripts and samples to separate package to split dependencies.

* Mon Apr 03 2000 Dmitry V. Levin <ldv@fandra.org>
- Added: noresolvconf option support.

* Thu Mar 09 2000 Dmitry V. Levin <ldv@fandra.org>
- Fixed check for pam_open_session result code
  (by Leon Kanter <leon@blackcatlinux.com>).
- Merge with Mandrake.

* Sun Jan 02 2000 Dmitry V. Levin <ldv@fandra.org>
- 2.3.11

* Thu Nov 11 1999 Dmitry V. Levin <ldv@fandra.org>
- Merge with RH.

* Sun Oct 17 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions.

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix %%post ??

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix %%post

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- -DCHAPMS
- -DUSE_PAM

* Tue Sep  7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Add /dev/ppp
- Add entries in /etc/conf.modules if they aren't there yet

* Wed Aug 25 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.3.9 (required for kernel 2.3.14+)

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removing unused stuff.
- Upgrade patch.
- 2.3.8.

* Fri Jul 10 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Define the .pid to /var/run/
- Glare @Chmouel

* Fri Jul 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Define the .pid to /var/run not to /etc/ (reported by Nikodemus Karlsson
  <nickek@algonet.se>).

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- force pppd use the glibc's logwtmp instead of implementing its own

* Wed Apr 01 1999 Preston Brown <pbrown@redhat.com>
- version 2.3.7 bugfix release

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- version 2.3.6

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- auth patch

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Jun  5 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.3.5.

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May  8 1998 Jakub Jelinek <jj@ultra.linux.cz>
- make it run with kernels 2.1.100 and above.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Mar 18 1998 Cristian Gafton <gafton@redhat.com>
- requires glibc 2.0.6 or later

* Wed Mar 18 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated PAM patch to not turn off wtmp/utmp/syslog logging.

* Wed Jan  7 1998 Cristian Gafton <gafton@redhat.com>
- added the /etc/pam.d config file
- updated PAM patch to include session support

* Tue Jan  6 1998 Cristian Gafton <gafton@redhat.com>
- updated to %name-2.3.3, build against glibc-2.0.6 - previous patches not
  required any more.
- added buildroot
- fixed the PAM support, which was really, completely broken and against any
  standards (session support is still not here... :-( )
- we build against running kernel and pray that it will work
- added a samples patch; updated glibc patch

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- added a patch to use our own route.h, rather then glibc's (which has
  alignment problems on Alpha's) -- I only applied this patch on the Alpha,
  though it should be safe everywhere

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- turned off the execute bit for scripts in %prefix/doc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Integrated new patch from David Mosberger
- Improved description
